Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device Binding

Delete Device Binding

delete

Delete the binding between a device and a token.

Path parameters
tokenIdstring · max: 128Required

The token identifier.

deviceIdstring · max: 36Required

The unique device identifier. Visa deviceId must have 24 characters at maximum.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

mcCertifiedSolutionIdstring · min: 1 · max: 128Optional

Unique identifier of the Mastercard TAF certified MFA method. Must be provided for Mastercard TAF when the binding was created using the Merchant API.

credentialIdstring · min: 1 · max: 128Optional

The identifier used during Mastercard TAF binding, must be provided for Mastercard TAF when the binding was created using the Merchant API.

Responses
204

No Content

No content

delete/device-bindings/{tokenId}/{deviceId}

No content

Create Binding

post

Binds a token with a FIDO authenticator as per Mastercard TAF.

Header parameters
authorizationstring · min: 1 · max: 512Required

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · min: 1 · max: 36Required

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Body
tokenIdstring · min: 1 · max: 128Required

The token identifier.

Pattern: ^[a-zA-Z0-9_-]+$
bindingTypestring · enum · max: 64Required

The request content depends on the binding type.

Example: MASTERCARD_TAF_FIDO_IAAVPossible values:
Responses
204

No Content

No content

post/device-bindings

No content

Last updated

Was this helpful?